<?php

    header('Access-Control-Allow-Origin: *');
    header('Access-Control-Allow-Methods: GET, POST');
    header("Access-Control-Allow-Headers: X-Requested-With");
    header('Content-Type:application/json');

    include('../cfg/csg-mem-list.php');
    $client = '';
    $project = '';
    $user = '';
    $data = '';

    if ( $input_type === 'get' ) {
        if ( isset($_GET['c']) ) {
            $client = $_GET['c'];
        }
        if ( isset($_GET['p']) ) {
            $project = $_GET['p'];
        }
        if ( isset($_GET['u']) ) {
            $user = $_GET['u'];
        }
        if ( isset($_GET['d']) ) {
            $data = $_GET['d'];
        }
    } else if ( $input_type === 'post' ) {
        if ( !empty($_POST['c']) ) {
            $client = $_POST['c'];
        }
        if ( !empty($_POST['p']) ) {
            $project = $_POST['p'];
        }
        if ( !empty($_POST['u']) ) {
            $user = $_POST['u'];
        }
        if ( !empty($_POST['d']) ) {
            $data = $_POST['d'];
        }
    }

    $client = SQLite3::escapeString($client);	
    $project = SQLite3::escapeString($project);
    $user = SQLite3::escapeString($user);
    $data = SQLite3::escapeString($data);
 

    $permission_check = false;

    for ($row = 0; $row < count($allowed_db); $row++ ) {
        if ( in_array($project, $allowed_db[$row][1], true) ) {
            $client = $allowed_db[$row][0];
            $permission_check = true;
        }
    }

    if ( 	$permission_check === true &&
			strlen( $client ) > 0 &&
            strlen( $project ) > 0 &&
            strlen( $user ) > 0 
    ) {
        $db = new PDO("sqlite:".$db_folder.'csg_mem_'.$client.'.sqlite');
        $db->exec('CREATE TABLE IF NOT EXISTS '.$project.' (
            user VARCHAR,
            data VARCHAR
        );');

        if ( strlen( $data ) > 0 ) {

            $stmt = $db->prepare('SELECT data FROM '.$project.' WHERE user = :user;');
            $stmt->bindValue(':user',$user,SQLITE3_TEXT);
            $stmt->execute();
            $result = $stmt->fetch(PDO::FETCH_ASSOC);

            if( !empty($result) ){
                $sql='UPDATE '.$project.' SET data = :data WHERE user = :user;';
            } else {
                $sql='INSERT INTO '.$project.' (user, data) VALUES (:user, :data);';
            }

            $stmt = $db->prepare($sql);
            $stmt->bindValue(':data',$data,SQLITE3_TEXT);
            $stmt->bindValue(':user',$user,SQLITE3_TEXT);
            $stmt->execute();
            echo json_encode($data);
            
        } else {
            $stmt = $db->prepare('SELECT data FROM '.$project.' WHERE user = :user');
            $stmt->bindValue(':user',$user,SQLITE3_TEXT);
            $stmt->execute();
            $result = $stmt->fetch(PDO::FETCH_ASSOC);
            echo json_encode($result);
        }

        $db=null;
    }

?>
